#import <AppKit/AppKit.h>
#import <Foundation/NSDebug.h>
#import "iTMXTextView.h"
#import "iTMXSpellChecker.h"


int main(int argc, const char *argv[])
{
//    #warning DEBUGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGG
//    NSZombieEnabled = YES;
    [iTMXSpellChecker poseAsClass: [NSSpellChecker class]];
    [iTMXTextView poseAsClass: [NSTextView class]];
    return NSApplicationMain(argc, argv);
}


#import "NSUserDefaults(iTeXMac).h"
#import "iTMTextWatcher.h"
#import "iTMTeXDocument.h"

@interface iTMApplicationDelegate: NSObject
@end

//••••••••••••••••••••••••••••••••••••••••  iTMApplicationDelegate
/*"Description forthcoming."*/
@implementation iTMApplicationDelegate
//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= applicationWillFinishLaunching:
- (void) applicationWillFinishLaunching: (NSNotification *) aNotification;
/*"Description forthcoming.
Proposed by jerome.laurens@u-bourgogne.fr (07/12/2001)
To Do: problem when there is no UI.
"*/
{
    [iTMTextWatcher initialize];
    return;
}
//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=  toggleSyntaxColoring:
- (IBAction) toggleSyntaxColoring: (id) sender;
/*"Description forthcoming.
Version History: jerome.laurens@u-bourgogne.fr
- < 1.1: 03/10/2002
To Do List:
"*/
{
    BOOL oldOnState = ([sender state] != NSOffState);
    [sender setState: (oldOnState? NSOffState: NSOnState)];
    [[NSUserDefaults standardUserDefaults]
        setObject: [NSNumber numberWithBool: !oldOnState] forKey: iTMUDTeXSyntaxColoringKey];
    [[NSUserDefaults standardUserDefaults] notifyChangeNow];
    NSRunInformationalAlertPanel(
        NSLocalizedStringFromTableInBundle(@"iTeXMac Syntax Coloring.", "No comment"),
            NSLocalizedStringFromTableInBundle( @"Changes will only affect new documents.", "No comment"),
                nil, nil, nil);
    return;
}
@end
