/*
//  iTMMacroDocument(iTMAction).h
//  macros
//
//  Created by jerome.laurens@u-bourgogne.fr on Tue Jan 15 2002.
//  Copyright © 2001 Laurens'Tribune. All rights reserved.
//
//  This program is free software; you can redistribute it and/or modify it under the terms
//  of the GNU General Public License as published by the Free Software Foundation; either
//  version 2 of the License, or any later version, modified by the addendum below.
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details. You should have received a copy
//  of the GNU General Public License along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//  GPL addendum: Any simple modification of the present code which purpose is to remove bug,
//  improve efficiency in both code execution and code reading or writing should be addressed
//  to the actual developper team.
//
//  Version history: (format "- date:contribution(contributor)") 
//  To Do List: (format "- proposition(percentage actually done)")
*/

#import "iTMMacroDocument.h"

//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=  iTMMacroDocument(iTMAction)

@interface iTMMacroDocument(iTMAction)
/*"Class methods"*/
/*"Setters and Getters"*/;
/*"Main methods"*/
- (void) removeMenuItem: (id <NSMenuItem>) item;
- (void) recordSelectionRange: (id) sender;
- (void) pasteItem: (id <NSMenuItem>) anItem select: (BOOL) selectFlag edit: (BOOL) editFlag extendSelection: (BOOL) extendFlag;
- (void) addSeparator: (id) irrelevant;
- (void) addItem: (id) sender;
- (void) addMenu: (id) sender;
- (void) cut: (id) sender;
- (void) copy: (id) sender;
- (void) paste: (id) sender;
- (void) clear: (id) sender;
- (IBAction) recordSelectionRange: (id) sender;
/*"Overriden methods"*/
@end

//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=  iTMMacroDocument(iTMAction)
