/*
//  iTMEditorPrefPane.h
//  iTeXMac
//
//  Created by jerome.laurens@u-bourgogne.fr on Fri Mar 15 2002.
//  Copyright (c) 2001 Laurens'Tribune. All rights reserved.
//
//  This program is free software; you can redistribute it and/or modify it under the terms
//  of the GNU General Public License as published by the Free Software Foundation; either
//  version 2 of the License, or any later version, modified by the addendum below.
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details. You should have received a copy
//  of the GNU General Public License along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//  GPL addendum: Any simple modification of the present code which purpose is to remove bug,
//  improve efficiency in both code execution and code reading or writing should be addressed
//  to the actual developper team.
//
//  Version history: (format "- date:contribution(contributor)") 
//  To Do List: (format "- proposition(percentage actually done)")
*/

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#import "iTMPreferencePane.h"


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=  iTMEditorPrefPane

@interface iTMEditorPrefPane : iTMPreferencePane
{
@private
    NSAttributedString * _ExternalUsed;
    NSAttributedString * _BuiltInUsed;
    BOOL _EditorHasChanged;
}
/*"Class methods"*/
/*"Setters and Getters"*/
/*"Main methods"*/
- (IBAction) autoSaveFieldEdited: (id) sender;
- (IBAction) chooseHelper: (id) sender;
- (IBAction) helperFieldEdited: (id) sender;
- (IBAction) toggleAutoSave: (id) sender;
- (IBAction) toggleKeepBackupFile: (id) sender;
- (IBAction) toggleUsesTeXHelper: (id) sender;
- (IBAction) toggleSmartUndo: (id) sender;
- (IBAction) popUpLevelsOfUndo: (id) sender;
/*"Overriden methods"*/
@end

//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=  iTMEditorPrefPane
